//import { Button } from "@material-ui/core";
import React from "react";
import OvItem from "../Componets/overlayItem";
import Button from "../Componets/button";
//import Grid from "@mui/material/Grid";
const title = { name: "Имя", discription: "Описание", homepage: "Обзор" };

//import './style.css';

class PageOverlays extends React.Component {
  VVSB = false;
  slideNum = 1;
  TitleView() {
    try {
      if (document.getElementById("pTitle").textContent !== "Оверлеи") {
        document.getElementById("pTitle").textContent = "Оверлеи";
      }
    } catch (e) {
      console.log(e);
    }
  }

  render() {
    return (
      <div id="HomePage">
        {this.TitleView()}
        <div className="btn-group" style={{ margin: "0px", marginTop: "20px" }}>
          <Button text={"Категории"} handler={() => console.log("Catalog")} />
        </div>

        <div className="colomn_-list">
          {this.props.repositores.map((over, i) => (
            <OvItem over={over} title={title} />
          ))}
        </div>
      </div>
    );
  }
}
export default PageOverlays;
